<?php 

require_once( 'FrogEnvoy/Models/AbstractApacheConf.php' );

	
class FrogEnvoy_Models_ApacheCompiledConf extends FrogEnvoy_Models_AbstractApacheConf
	{
	const COMPILE_SETTING_SERVER_CONFIG_FILE = 'SERVER_CONFIG_FILE';

	public function getCompileSetting( $settingName )
		{
		if (!( $this->isValidCompileSettingName( $settingName ) ))
			{
			throw new Exception( 'Unrecocognised settingName in ' . __METHOD__  );
			}

		$lastLine = exec ( 
			'apache2 -V  ' //show compile settings
			.' | grep '. escapeshellcmd( $settingName ) .' ' //containing 'SERVER_CONFIG_FILE'
			.' | cut -d= -f2 ', //cut using '=' as a delemiter and return the 2nd second field
			$outputLines
			);

		if ( count( $outputLines ) > 1 )
			{
			throw new Exception( 'Ambiguos results returned. We expected only one line.' );
			}

		//so by now we may have the path with speach marks around it: "somequotedstring" 
		return $this->unQuoteCString( $lastLine );
		}


	protected function isValidCompileSettingName( $settingName )
		{

		switch( $settingName )
			{
			case self::COMPILE_SETTING_SERVER_CONFIG_FILE :
				//its valid
				return TRUE;
			default:
				return FALSE;
			}
		}
	}

