<?php
require_once( 'FrogEnvoy/Models/AbstractApacheConfPathValue.php' ); 

class FrogEnvoy_Models_ApacheConfPathToDir extends FrogEnvoy_Models_AbstractApacheConfPathValue
	{


	public function __construct( $filePath )
		{
		$this->_filePath = $filePath;
		}

	public function getExpandedFileListArray()
		{
		$items = scandir( $this->_filePath );

		$fileListArray = array();

		foreach( $items as $item )
			{
			if ( is_file( $this->_filePath . $item ) )
				{
				$fileListArray[] = $this->_filePath . $item;
				}
			}
		return $fileListArray;
		}




	}