<?php
require_once( 'FrogEnvoy/Models/AbstractApacheConfPathValue.php' ); 

/**
* @desc represents a path in apache conf that uses wildcards 
*/
class FrogEnvoy_Models_ApacheConfWildcardPathToFiles extends FrogEnvoy_Models_AbstractApacheConfPathValue
	{


	public function __construct( $filePath )
		{
		$this->_filePath = $filePath;
		}

	/**
	* @desc 
	*/
	public function getExpandedFileListArray()
		{

		$fileListArray = glob( $this->_filePath );

		return ( is_array( $fileListArray ) ) ? $fileListArray : array();
		}
	}